<div *ngIf="pagination | async as pag; else loadingProducts">
    <app-recipes-list-pagination [pagination]="pag"></app-recipes-list-pagination>
   
    <h3>Recipe List</h3>
    <div class="ui divided items">
        <app-recipes-item class="ui item" *ngFor="let recipe of pag.docs" [recipe]="recipe"></app-recipes-item>
    </div>

    <app-recipes-list-pagination [pagination]="pag"></app-recipes-list-pagination>
</div>
<ng-template #loadingProducts> Loading recipes... </ng-template>